summaryrefslogtreecommitdiffstats
path: root/network/retroshare
diff options
context:
space:
mode:
Diffstat (limited to 'network/retroshare')
-rw-r--r--network/retroshare/bbaad838572b5fba6109bc7d3b5c55c2c68e6cdc.patch65
-rw-r--r--network/retroshare/retroshare.SlackBuild8
-rw-r--r--network/retroshare/retroshare.info6
3 files changed, 74 insertions, 5 deletions
diff --git a/network/retroshare/bbaad838572b5fba6109bc7d3b5c55c2c68e6cdc.patch b/network/retroshare/bbaad838572b5fba6109bc7d3b5c55c2c68e6cdc.patch
new file mode 100644
index 0000000000..732984645d
--- /dev/null
+++ b/network/retroshare/bbaad838572b5fba6109bc7d3b5c55c2c68e6cdc.patch
@@ -0,0 +1,65 @@
+backport of
+
+From bbaad838572b5fba6109bc7d3b5c55c2c68e6cdc Mon Sep 17 00:00:00 2001
+From: Phenom <retrosharephenom@gmail.com>
+Date: Mon, 1 Jun 2020 13:44:43 +0200
+Subject: [PATCH] Fix build with Qt 5.15+
+
+---
+ retroshare-gui/src/gui/elastic/elnode.h | 8 +++++---
+ .../src/gui/gxs/GxsCommentTreeWidget.cpp | 16 +++++++++-------
+ retroshare-gui/src/gui/gxs/GxsIdDetails.cpp | 18 ++++++++++--------
+ 3 files changed, 24 insertions(+), 18 deletions(-)
+
+diff --git a/retroshare-gui/src/gui/elastic/elnode.h b/retroshare-gui/src/gui/elastic/elnode.h
+index 1e0edd1a8..b881baed6 100644
+--- a/retroshare-gui/src/gui/elastic/elnode.h
++++ b/retroshare-gui/src/gui/elastic/elnode.h
+@@ -34,6 +34,8 @@
+ #include <retroshare/rstypes.h>
+ #include "graphwidget.h"
+
++#include <QPainterPath>
++
+ class Edge;
+ QT_BEGIN_NAMESPACE
+ class QGraphicsSceneMouseEvent;
+diff --git a/retroshare-gui/src/gui/gxs/GxsCommentTreeWidget.cpp b/retroshare-gui/src/gui/gxs/GxsCommentTreeWidget.cpp
+index e5d714860..a3187d4d9 100644
+--- a/retroshare-gui/src/gui/gxs/GxsCommentTreeWidget.cpp
++++ b/retroshare-gui/src/gui/gxs/GxsCommentTreeWidget.cpp
+@@ -18,6 +18,14 @@
+ * *
+ *******************************************************************************/
+
++#include "GxsCommentTreeWidget.h"
++
++#include "gui/common/FilesDefs.h"
++#include "gui/common/RSElidedItemDelegate.h"
++#include "gui/common/RSTreeWidgetItem.h"
++#include "gui/gxs/GxsCreateCommentDialog.h"
++#include "gui/gxs/GxsIdTreeWidgetItem.h"
++
+ #include <QAbstractTextDocumentLayout>
+ #include <QApplication>
+ #include <QClipboard>
+@@ -25,6 +33,7 @@
+ #include <QMenu>
+ #include <QMimeData>
+ #include <QPainter>
++#include <QPainterPath>
+ #include <QTextDocument>
+
+ #include "gui/common/RSElidedItemDelegate.h"
+diff --git a/retroshare-gui/src/gui/gxs/GxsIdDetails.cpp b/retroshare-gui/src/gui/gxs/GxsIdDetails.cpp
+index 6168090eb..1bbab7f82 100644
+--- a/retroshare-gui/src/gui/gxs/GxsIdDetails.cpp
++++ b/retroshare-gui/src/gui/gxs/GxsIdDetails.cpp
+@@ -31,6 +31,7 @@
+
+ #include <iostream>
+ #include <QPainter>
++#include <QPainterPath>
+
+ /* Images for tag icons */
+ #define IMAGE_LOADING ":/images/folder-draft.png"
diff --git a/network/retroshare/retroshare.SlackBuild b/network/retroshare/retroshare.SlackBuild
index 1861c03e25..e333491dec 100644
--- a/network/retroshare/retroshare.SlackBuild
+++ b/network/retroshare/retroshare.SlackBuild
@@ -18,7 +18,7 @@
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
PRGNAM=retroshare
-VERSION=${VERSION:-0.6.4}
+VERSION=${VERSION:-0.6.5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -47,13 +47,14 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
cd $SRCNAM-$VERSION
-
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -61,6 +62,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+# Patch for qt5 >= 5.14.x
+patch -p1 < $CWD/bbaad838572b5fba6109bc7d3b5c55c2c68e6cdc.patch
+
RETROTOR=${RETROTOR:-no}
if [ $RETROTOR = yes ]; then
qmake-qt5 PREFIX=/usr LIB_DIR=/usr/lib${LIBDIRSUFFIX} "CONFIG-=debug" "CONFIG+=release" "CONFIG+=retrotor"
diff --git a/network/retroshare/retroshare.info b/network/retroshare/retroshare.info
index 307a748169..b11446bfec 100644
--- a/network/retroshare/retroshare.info
+++ b/network/retroshare/retroshare.info
@@ -1,8 +1,8 @@
PRGNAM="retroshare"
-VERSION="0.6.4"
+VERSION="0.6.5"
HOMEPAGE="http://retroshare.net"
-DOWNLOAD="https://github.com/RetroShare/RetroShare/archive/v0.6.4/RetroShare-0.6.4.tar.gz"
-MD5SUM="392c36bb3171fa26b8702e0a984d5bd6"
+DOWNLOAD="https://github.com/RetroShare/RetroShare/archive/v0.6.5/RetroShare-0.6.5.tar.gz"
+MD5SUM="577fa867e24fc30b4c690e7956ff43c9"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="qt5 libmicrohttpd libupnp-legacy speex protobuf sqlcipher"